diff --git a/net/akonadi-mime/pkg-plist b/net/akonadi-mime/pkg-plist
index 375053b3319b..d1c20594d9e5 100644
--- a/net/akonadi-mime/pkg-plist
+++ b/net/akonadi-mime/pkg-plist
@@ -1,118 +1,119 @@
-include/KPim5/AkonadiMime/Akonadi/AddressAttribute
-include/KPim5/AkonadiMime/Akonadi/CommandBase
-include/KPim5/AkonadiMime/Akonadi/DispatchModeAttribute
-include/KPim5/AkonadiMime/Akonadi/DispatcherInterface
-include/KPim5/AkonadiMime/Akonadi/ErrorAttribute
-include/KPim5/AkonadiMime/Akonadi/MDNStateAttribute
-include/KPim5/AkonadiMime/Akonadi/MarkAsCommand
-include/KPim5/AkonadiMime/Akonadi/MessageFlags
-include/KPim5/AkonadiMime/Akonadi/MessageFolderAttribute
-include/KPim5/AkonadiMime/Akonadi/MessageModel
-include/KPim5/AkonadiMime/Akonadi/MessageParts
-include/KPim5/AkonadiMime/Akonadi/MessageQueueJob
-include/KPim5/AkonadiMime/Akonadi/MessageStatus
-include/KPim5/AkonadiMime/Akonadi/MoveCommand
-include/KPim5/AkonadiMime/Akonadi/NewMailNotifierAttribute
-include/KPim5/AkonadiMime/Akonadi/Pop3ResourceAttribute
-include/KPim5/AkonadiMime/Akonadi/RemoveDuplicatesJob
-include/KPim5/AkonadiMime/Akonadi/SentActionAttribute
-include/KPim5/AkonadiMime/Akonadi/SentBehaviourAttribute
-include/KPim5/AkonadiMime/Akonadi/SpecialMailCollections
-include/KPim5/AkonadiMime/Akonadi/SpecialMailCollectionsDiscoveryJob
-include/KPim5/AkonadiMime/Akonadi/SpecialMailCollectionsRequestJob
-include/KPim5/AkonadiMime/Akonadi/StandardMailActionManager
-include/KPim5/AkonadiMime/Akonadi/TransportAttribute
-include/KPim5/AkonadiMime/akonadi-mime_version.h
-include/KPim5/AkonadiMime/akonadi/addressattribute.h
-include/KPim5/AkonadiMime/akonadi/akonadi-mime_export.h
-include/KPim5/AkonadiMime/akonadi/commandbase.h
-include/KPim5/AkonadiMime/akonadi/dispatcherinterface.h
-include/KPim5/AkonadiMime/akonadi/dispatchmodeattribute.h
-include/KPim5/AkonadiMime/akonadi/errorattribute.h
-include/KPim5/AkonadiMime/akonadi/markascommand.h
-include/KPim5/AkonadiMime/akonadi/mdnstateattribute.h
-include/KPim5/AkonadiMime/akonadi/messageflags.h
-include/KPim5/AkonadiMime/akonadi/messagefolderattribute.h
-include/KPim5/AkonadiMime/akonadi/messagemodel.h
-include/KPim5/AkonadiMime/akonadi/messageparts.h
-include/KPim5/AkonadiMime/akonadi/messagequeuejob.h
-include/KPim5/AkonadiMime/akonadi/messagestatus.h
-include/KPim5/AkonadiMime/akonadi/movecommand.h
-include/KPim5/AkonadiMime/akonadi/newmailnotifierattribute.h
-include/KPim5/AkonadiMime/akonadi/pop3resourceattribute.h
-include/KPim5/AkonadiMime/akonadi/removeduplicatesjob.h
-include/KPim5/AkonadiMime/akonadi/sentactionattribute.h
-include/KPim5/AkonadiMime/akonadi/sentbehaviourattribute.h
-include/KPim5/AkonadiMime/akonadi/specialmailcollections.h
-include/KPim5/AkonadiMime/akonadi/specialmailcollectionsdiscoveryjob.h
-include/KPim5/AkonadiMime/akonadi/specialmailcollectionsrequestjob.h
-include/KPim5/AkonadiMime/akonadi/standardmailactionmanager.h
-include/KPim5/AkonadiMime/akonadi/transportattribute.h
-lib/cmake/KF5AkonadiMime/KF5AkonadiMimeConfig.cmake
-lib/cmake/KF5AkonadiMime/KF5AkonadiMimeConfigVersion.cmake
-lib/cmake/KF5AkonadiMime/KPim5AkonadiMimeTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5AkonadiMime/KPim5AkonadiMimeTargets.cmake
-lib/cmake/KPim5AkonadiMime/KPim5AkonadiMimeConfig.cmake
-lib/cmake/KPim5AkonadiMime/KPim5AkonadiMimeConfigVersion.cmake
-lib/cmake/KPim5AkonadiMime/KPim5AkonadiMimeTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5AkonadiMime/KPim5AkonadiMimeTargets.cmake
-lib/libKPim5AkonadiMime.so
-lib/libKPim5AkonadiMime.so.5
-lib/libKPim5AkonadiMime.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_AkonadiMime.pri
+include/KPim6/AkonadiMime/Akonadi/AddressAttribute
+include/KPim6/AkonadiMime/Akonadi/CommandBase
+include/KPim6/AkonadiMime/Akonadi/DispatchModeAttribute
+include/KPim6/AkonadiMime/Akonadi/DispatcherInterface
+include/KPim6/AkonadiMime/Akonadi/ErrorAttribute
+include/KPim6/AkonadiMime/Akonadi/MDNStateAttribute
+include/KPim6/AkonadiMime/Akonadi/MarkAsCommand
+include/KPim6/AkonadiMime/Akonadi/MessageFlags
+include/KPim6/AkonadiMime/Akonadi/MessageFolderAttribute
+include/KPim6/AkonadiMime/Akonadi/MessageModel
+include/KPim6/AkonadiMime/Akonadi/MessageParts
+include/KPim6/AkonadiMime/Akonadi/MessageQueueJob
+include/KPim6/AkonadiMime/Akonadi/MessageStatus
+include/KPim6/AkonadiMime/Akonadi/MoveCommand
+include/KPim6/AkonadiMime/Akonadi/NewMailNotifierAttribute
+include/KPim6/AkonadiMime/Akonadi/Pop3ResourceAttribute
+include/KPim6/AkonadiMime/Akonadi/RemoveDuplicatesJob
+include/KPim6/AkonadiMime/Akonadi/SentActionAttribute
+include/KPim6/AkonadiMime/Akonadi/SentBehaviourAttribute
+include/KPim6/AkonadiMime/Akonadi/SpecialMailCollections
+include/KPim6/AkonadiMime/Akonadi/SpecialMailCollectionsDiscoveryJob
+include/KPim6/AkonadiMime/Akonadi/SpecialMailCollectionsRequestJob
+include/KPim6/AkonadiMime/Akonadi/StandardMailActionManager
+include/KPim6/AkonadiMime/Akonadi/TransportAttribute
+include/KPim6/AkonadiMime/akonadi-mime_version.h
+include/KPim6/AkonadiMime/akonadi/addressattribute.h
+include/KPim6/AkonadiMime/akonadi/akonadi-mime_export.h
+include/KPim6/AkonadiMime/akonadi/commandbase.h
+include/KPim6/AkonadiMime/akonadi/dispatcherinterface.h
+include/KPim6/AkonadiMime/akonadi/dispatchmodeattribute.h
+include/KPim6/AkonadiMime/akonadi/errorattribute.h
+include/KPim6/AkonadiMime/akonadi/markascommand.h
+include/KPim6/AkonadiMime/akonadi/mdnstateattribute.h
+include/KPim6/AkonadiMime/akonadi/messageflags.h
+include/KPim6/AkonadiMime/akonadi/messagefolderattribute.h
+include/KPim6/AkonadiMime/akonadi/messagemodel.h
+include/KPim6/AkonadiMime/akonadi/messageparts.h
+include/KPim6/AkonadiMime/akonadi/messagequeuejob.h
+include/KPim6/AkonadiMime/akonadi/messagestatus.h
+include/KPim6/AkonadiMime/akonadi/movecommand.h
+include/KPim6/AkonadiMime/akonadi/newmailnotifierattribute.h
+include/KPim6/AkonadiMime/akonadi/pop3resourceattribute.h
+include/KPim6/AkonadiMime/akonadi/removeduplicatesjob.h
+include/KPim6/AkonadiMime/akonadi/sentactionattribute.h
+include/KPim6/AkonadiMime/akonadi/sentbehaviourattribute.h
+include/KPim6/AkonadiMime/akonadi/specialmailcollections.h
+include/KPim6/AkonadiMime/akonadi/specialmailcollectionsdiscoveryjob.h
+include/KPim6/AkonadiMime/akonadi/specialmailcollectionsrequestjob.h
+include/KPim6/AkonadiMime/akonadi/standardmailactionmanager.h
+include/KPim6/AkonadiMime/akonadi/transportattribute.h
+lib/cmake/KPim6AkonadiMime/KPim6AkonadiMimeConfig.cmake
+lib/cmake/KPim6AkonadiMime/KPim6AkonadiMimeConfigVersion.cmake
+lib/cmake/KPim6AkonadiMime/KPim6AkonadiMimeTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6AkonadiMime/KPim6AkonadiMimeTargets.cmake
+lib/libKPim6AkonadiMime.so
+lib/libKPim6AkonadiMime.so.6
+lib/libKPim6AkonadiMime.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/akonadi_serializer_mail.so
 share/akonadi/plugins/serializer/akonadi_serializer_mail.desktop
 share/config.kcfg/specialmailcollections.kcfg
-share/locale/ar/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/az/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/bg/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/bs/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ca/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ca@valencia/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/cs/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/da/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/de/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/el/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/en_GB/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/es/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/et/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/eu/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/fi/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/fr/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ga/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/gl/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/hu/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ia/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ie/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/it/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ja/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ka/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/kk/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/km/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ko/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/lt/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/mai/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/mr/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/nb/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/nds/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/nl/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/nn/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/pl/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/pt/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/pt_BR/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ro/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ru/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sk/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sl/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sr/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sr@latin/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/sv/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/tr/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/ug/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/uk/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/zh_CN/LC_MESSAGES/libakonadi-kmime5.mo
-share/locale/zh_TW/LC_MESSAGES/libakonadi-kmime5.mo
+share/locale/ar/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ast/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/az/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/bg/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/bs/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ca/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ca@valencia/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/cs/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/da/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/de/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/el/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/en_GB/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/eo/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/es/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/et/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/eu/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/fi/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/fr/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ga/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/gl/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/he/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/hu/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ia/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/id/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ie/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/it/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ja/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ka/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/kk/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/km/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ko/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/lt/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/lv/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/mai/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/mr/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/nb/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/nds/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/nl/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/nn/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/pl/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/pt/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/pt_BR/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ro/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ru/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sk/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sl/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sr/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sr@latin/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/sv/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ta/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/tr/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/ug/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/uk/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/zh_CN/LC_MESSAGES/libakonadi-kmime6.mo
+share/locale/zh_TW/LC_MESSAGES/libakonadi-kmime6.mo
 share/mime/packages/x-vnd.kde.contactgroup.xml
-share/qlogging-categories5/akonadi-mime.categories
+share/qlogging-categories6/akonadi-mime.categories
diff --git a/net/akonadi-search/Makefile b/net/akonadi-search/Makefile
index 60fe8f891a4d..adb3203e158c 100644
--- a/net/akonadi-search/Makefile
+++ b/net/akonadi-search/Makefile
@@ -10,15 +10,14 @@ LICENSE=	LGPL21
 
 LIB_DEPENDS=	libxapian.so:databases/xapian-core
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		crash i18n itemmodels kcmutils package plasma-framework \
-		runner service widgetsaddons \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
+		i18n itemmodels kcmutils ktextaddons libplasma package runner \
+		service widgetsaddons \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadimime calendarcore contacts  mime
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_KDE+=	akonadi akonadimime calendarcore contacts mime
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/akonadi-search/distinfo b/net/akonadi-search/distinfo
index 4a6440b18f81..25204292dc28 100644
--- a/net/akonadi-search/distinfo
+++ b/net/akonadi-search/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889468
-SHA256 (KDE/release-service/23.08.5/akonadi-search-23.08.5.tar.xz) = ef21350b7468eea740b949f9f450f07a48b8585e6a83a5000ff4a8606581adb4
-SIZE (KDE/release-service/23.08.5/akonadi-search-23.08.5.tar.xz) = 110248
+TIMESTAMP = 1734460294
+SHA256 (KDE/release-service/24.12.0/akonadi-search-24.12.0.tar.xz) = 145eb9b1c7f323ceb62817b48a9a3a07fa26d27e3d93a421d6767717bc157fa4
+SIZE (KDE/release-service/24.12.0/akonadi-search-24.12.0.tar.xz) = 113184
diff --git a/net/akonadi-search/pkg-plist b/net/akonadi-search/pkg-plist
index f56aa2c3efba..1d50aed41797 100644
--- a/net/akonadi-search/pkg-plist
+++ b/net/akonadi-search/pkg-plist
@@ -1,58 +1,59 @@
 bin/akonadi_html_to_text
 bin/akonadi_indexing_agent
-include/KPim5/AkonadiSearch/Core/Query
-include/KPim5/AkonadiSearch/Core/ResultIterator
-include/KPim5/AkonadiSearch/Core/SearchStore
-include/KPim5/AkonadiSearch/Core/Term
-include/KPim5/AkonadiSearch/Debug/akonadisearchdebugdialog.h
-include/KPim5/AkonadiSearch/Debug/akonadisearchdebugsearchpathcombobox.h
-include/KPim5/AkonadiSearch/Debug/search_debug_export.h
-include/KPim5/AkonadiSearch/PIM/collectionquery.h
-include/KPim5/AkonadiSearch/PIM/contactcompleter.h
-include/KPim5/AkonadiSearch/PIM/contactquery.h
-include/KPim5/AkonadiSearch/PIM/emailquery.h
-include/KPim5/AkonadiSearch/PIM/indexeditems.h
-include/KPim5/AkonadiSearch/PIM/notequery.h
-include/KPim5/AkonadiSearch/PIM/query.h
-include/KPim5/AkonadiSearch/PIM/resultiterator.h
-include/KPim5/AkonadiSearch/PIM/search_pim_export.h
-include/KPim5/AkonadiSearch/Xapian/search_xapian_export.h
-include/KPim5/AkonadiSearch/Xapian/xapiandatabase.h
-include/KPim5/AkonadiSearch/Xapian/xapiandocument.h
-include/KPim5/AkonadiSearch/Xapian/xapianqueryparser.h
-include/KPim5/AkonadiSearch/Xapian/xapiansearchstore.h
-include/KPim5/AkonadiSearch/Xapian/xapiantermgenerator.h
-include/KPim5/AkonadiSearch/akonadi_search_version.h
-include/KPim5/AkonadiSearch/core/query.h
-include/KPim5/AkonadiSearch/core/resultiterator.h
-include/KPim5/AkonadiSearch/core/searchstore.h
-include/KPim5/AkonadiSearch/core/term.h
-include/KPim5/AkonadiSearch/search_core_export.h
-lib/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchConfig.cmake
-lib/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchConfigVersion.cmake
-lib/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchTargets.cmake
-lib/libKPim5AkonadiSearchCore.so
-lib/libKPim5AkonadiSearchCore.so.5
-lib/libKPim5AkonadiSearchCore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5AkonadiSearchDebug.so
-lib/libKPim5AkonadiSearchDebug.so.5
-lib/libKPim5AkonadiSearchDebug.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5AkonadiSearchPIM.so
-lib/libKPim5AkonadiSearchPIM.so.5
-lib/libKPim5AkonadiSearchPIM.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5AkonadiSearchXapian.so
-lib/libKPim5AkonadiSearchXapian.so.5
-lib/libKPim5AkonadiSearchXapian.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_PLUGINDIR%%/kf5/krunner/kcms/kcm_krunner_pimcontacts.so
-%%QT_PLUGINDIR%%/kf5/krunner/krunner_pimcontacts.so
-%%QT_PLUGINDIR%%/pim5/akonadi/akonadi_search_plugin.so
-%%QT_PLUGINDIR%%/pim5/akonadi/calendarsearchstore.so
-%%QT_PLUGINDIR%%/pim5/akonadi/contactsearchstore.so
-%%QT_PLUGINDIR%%/pim5/akonadi/emailsearchstore.so
-%%QT_PLUGINDIR%%/pim5/akonadi/notesearchstore.so
+include/KPim6/AkonadiSearch/Core/Query
+include/KPim6/AkonadiSearch/Core/ResultIterator
+include/KPim6/AkonadiSearch/Core/SearchStore
+include/KPim6/AkonadiSearch/Core/Term
+include/KPim6/AkonadiSearch/Debug/akonadisearchdebugdialog.h
+include/KPim6/AkonadiSearch/Debug/akonadisearchdebugsearchpathcombobox.h
+include/KPim6/AkonadiSearch/Debug/search_debug_export.h
+include/KPim6/AkonadiSearch/PIM/collectionquery.h
+include/KPim6/AkonadiSearch/PIM/contactcompleter.h
+include/KPim6/AkonadiSearch/PIM/contactquery.h
+include/KPim6/AkonadiSearch/PIM/emailquery.h
+include/KPim6/AkonadiSearch/PIM/indexeditems.h
+include/KPim6/AkonadiSearch/PIM/notequery.h
+include/KPim6/AkonadiSearch/PIM/query.h
+include/KPim6/AkonadiSearch/PIM/resultiterator.h
+include/KPim6/AkonadiSearch/PIM/search_pim_export.h
+include/KPim6/AkonadiSearch/Xapian/search_xapian_export.h
+include/KPim6/AkonadiSearch/Xapian/xapiandatabase.h
+include/KPim6/AkonadiSearch/Xapian/xapiandocument.h
+include/KPim6/AkonadiSearch/Xapian/xapianqueryparser.h
+include/KPim6/AkonadiSearch/Xapian/xapiansearchstore.h
+include/KPim6/AkonadiSearch/Xapian/xapiantermgenerator.h
+include/KPim6/AkonadiSearch/akonadi_search_version.h
+include/KPim6/AkonadiSearch/core/query.h
+include/KPim6/AkonadiSearch/core/resultiterator.h
+include/KPim6/AkonadiSearch/core/searchstore.h
+include/KPim6/AkonadiSearch/core/term.h
+include/KPim6/AkonadiSearch/search_core_export.h
+lib/cmake/KPim6AkonadiSearch/KPim6AkonadiSearchConfig.cmake
+lib/cmake/KPim6AkonadiSearch/KPim6AkonadiSearchConfigVersion.cmake
+lib/cmake/KPim6AkonadiSearch/KPim6AkonadiSearchTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6AkonadiSearch/KPim6AkonadiSearchTargets.cmake
+lib/libKPim6AkonadiSearchCore.so
+lib/libKPim6AkonadiSearchCore.so.6
+lib/libKPim6AkonadiSearchCore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6AkonadiSearchDebug.so
+lib/libKPim6AkonadiSearchDebug.so.6
+lib/libKPim6AkonadiSearchDebug.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6AkonadiSearchPIM.so
+lib/libKPim6AkonadiSearchPIM.so.6
+lib/libKPim6AkonadiSearchPIM.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6AkonadiSearchXapian.so
+lib/libKPim6AkonadiSearchXapian.so.6
+lib/libKPim6AkonadiSearchXapian.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/kf6/krunner/kcms/kcm_krunner_pimcontacts.so
+%%QT_PLUGINDIR%%/kf6/krunner/krunner_pimcontacts.so
+%%QT_PLUGINDIR%%/pim6/akonadi/akonadi_search_plugin.so
+%%QT_PLUGINDIR%%/pim6/akonadi/calendarsearchstore.so
+%%QT_PLUGINDIR%%/pim6/akonadi/contactsearchstore.so
+%%QT_PLUGINDIR%%/pim6/akonadi/emailsearchstore.so
+%%QT_PLUGINDIR%%/pim6/akonadi/notesearchstore.so
 share/akonadi/agents/akonadiindexingagent.desktop
 share/locale/ar/LC_MESSAGES/akonadi_search.mo
+share/locale/ast/LC_MESSAGES/akonadi_search.mo
 share/locale/az/LC_MESSAGES/akonadi_search.mo
 share/locale/bg/LC_MESSAGES/akonadi_search.mo
 share/locale/ca/LC_MESSAGES/akonadi_search.mo
@@ -62,12 +63,14 @@ share/locale/da/LC_MESSAGES/akonadi_search.mo
 share/locale/de/LC_MESSAGES/akonadi_search.mo
 share/locale/el/LC_MESSAGES/akonadi_search.mo
 share/locale/en_GB/LC_MESSAGES/akonadi_search.mo
+share/locale/eo/LC_MESSAGES/akonadi_search.mo
 share/locale/es/LC_MESSAGES/akonadi_search.mo
 share/locale/et/LC_MESSAGES/akonadi_search.mo
 share/locale/eu/LC_MESSAGES/akonadi_search.mo
 share/locale/fi/LC_MESSAGES/akonadi_search.mo
 share/locale/fr/LC_MESSAGES/akonadi_search.mo
 share/locale/gl/LC_MESSAGES/akonadi_search.mo
+share/locale/he/LC_MESSAGES/akonadi_search.mo
 share/locale/hi/LC_MESSAGES/akonadi_search.mo
 share/locale/hsb/LC_MESSAGES/akonadi_search.mo
 share/locale/hu/LC_MESSAGES/akonadi_search.mo
@@ -78,6 +81,7 @@ share/locale/ja/LC_MESSAGES/akonadi_search.mo
 share/locale/ka/LC_MESSAGES/akonadi_search.mo
 share/locale/ko/LC_MESSAGES/akonadi_search.mo
 share/locale/lt/LC_MESSAGES/akonadi_search.mo
+share/locale/lv/LC_MESSAGES/akonadi_search.mo
 share/locale/nb/LC_MESSAGES/akonadi_search.mo
 share/locale/nl/LC_MESSAGES/akonadi_search.mo
 share/locale/nn/LC_MESSAGES/akonadi_search.mo
@@ -86,6 +90,7 @@ share/locale/pt/LC_MESSAGES/akonadi_search.mo
 share/locale/pt_BR/LC_MESSAGES/akonadi_search.mo
 share/locale/ro/LC_MESSAGES/akonadi_search.mo
 share/locale/ru/LC_MESSAGES/akonadi_search.mo
+share/locale/sa/LC_MESSAGES/akonadi_search.mo
 share/locale/sk/LC_MESSAGES/akonadi_search.mo
 share/locale/sl/LC_MESSAGES/akonadi_search.mo
 share/locale/sr/LC_MESSAGES/akonadi_search.mo
@@ -97,5 +102,5 @@ share/locale/tr/LC_MESSAGES/akonadi_search.mo
 share/locale/uk/LC_MESSAGES/akonadi_search.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_search.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_search.mo
-share/qlogging-categories5/akonadi-search.categories
-share/qlogging-categories5/akonadi-search.renamecategories
+share/qlogging-categories6/akonadi-search.categories
+share/qlogging-categories6/akonadi-search.renamecategories
diff --git a/net/alligator/Makefile b/net/alligator/Makefile
index 1ff7e7ad07ab..505fd10d2167 100644
--- a/net/alligator/Makefile
+++ b/net/alligator/Makefile
@@ -8,13 +8,9 @@ WWW=		https://apps.kde.org/alligator/
 
 LICENSE=	GPLv2
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-RUN_DEPENDS=	kirigami-addons-qt5>=0:x11-toolkits/kirigami-addons-qt5
-
-USES=		cmake desktop-file-utils kde:5 qt:5 tar:xz
-USE_KDE=	config coreaddons ecm:build i18n syndication
-USE_QT=		core declarative gui network quickcontrols2 sql testlib \
-		widgets xml \
-		buildtools:build qmake:build
+USES=		cmake desktop-file-utils gettext kde:6 qt:6 tar:xz
+USE_KDE=	colorscheme config coreaddons i18n kirigami-addons syndication \
+		ecm:build
+USE_QT=		base
 
 .include <bsd.port.mk>
diff --git a/net/alligator/distinfo b/net/alligator/distinfo
index 9b15ede118be..2bda89009890 100644
--- a/net/alligator/distinfo
+++ b/net/alligator/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889479
-SHA256 (KDE/release-service/23.08.5/alligator-23.08.5.tar.xz) = 4abd7baa1b868725779b6e5835f390dbac1fcfaf610749ade56af9419f80009e
-SIZE (KDE/release-service/23.08.5/alligator-23.08.5.tar.xz) = 191576
+TIMESTAMP = 1734460295
+SHA256 (KDE/release-service/24.12.0/alligator-24.12.0.tar.xz) = b2a703220f0c41612e2b9a7bba1fa22157859b63c9ca55bc619965c341c75e24
+SIZE (KDE/release-service/24.12.0/alligator-24.12.0.tar.xz) = 196428
diff --git a/net/alligator/pkg-plist b/net/alligator/pkg-plist
index d0f5d14c1f7d..a82fe52917aa 100644
--- a/net/alligator/pkg-plist
+++ b/net/alligator/pkg-plist
@@ -1,17 +1,21 @@
 bin/alligator
 share/applications/org.kde.alligator.desktop
 share/icons/hicolor/scalable/apps/alligator.svg
+share/locale/ar/LC_MESSAGES/alligator.mo
+share/locale/ast/LC_MESSAGES/alligator.mo
 share/locale/ca/LC_MESSAGES/alligator.mo
 share/locale/ca@valencia/LC_MESSAGES/alligator.mo
 share/locale/cs/LC_MESSAGES/alligator.mo
 share/locale/de/LC_MESSAGES/alligator.mo
 share/locale/en_GB/LC_MESSAGES/alligator.mo
+share/locale/eo/LC_MESSAGES/alligator.mo
 share/locale/es/LC_MESSAGES/alligator.mo
 share/locale/et/LC_MESSAGES/alligator.mo
 share/locale/eu/LC_MESSAGES/alligator.mo
 share/locale/fi/LC_MESSAGES/alligator.mo
 share/locale/fr/LC_MESSAGES/alligator.mo
 share/locale/gl/LC_MESSAGES/alligator.mo
+share/locale/he/LC_MESSAGES/alligator.mo
 share/locale/hu/LC_MESSAGES/alligator.mo
 share/locale/ia/LC_MESSAGES/alligator.mo
 share/locale/it/LC_MESSAGES/alligator.mo
@@ -19,6 +23,7 @@ share/locale/ja/LC_MESSAGES/alligator.mo
 share/locale/ka/LC_MESSAGES/alligator.mo
 share/locale/ko/LC_MESSAGES/alligator.mo
 share/locale/lt/LC_MESSAGES/alligator.mo
+share/locale/lv/LC_MESSAGES/alligator.mo
 share/locale/nl/LC_MESSAGES/alligator.mo
 share/locale/nn/LC_MESSAGES/alligator.mo
 share/locale/pa/LC_MESSAGES/alligator.mo
diff --git a/net/calendarsupport/Makefile b/net/calendarsupport/Makefile
index dab264b23810..1b3c69292863 100644
--- a/net/calendarsupport/Makefile
+++ b/net/calendarsupport/Makefile
@@ -10,18 +10,16 @@ LICENSE=	LGPL21
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
 		guiaddons i18n iconthemes itemmodels jobwidgets kio service \
 		solid widgetsaddons windowsystem \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadicalendar akonadinotes calendarcore calendarutils \
-		holidays identitymanagement mime pimcommon \
+USE_KDE+=	akonadi akonadicalendar calendarcore \
+		calendarutils holidays identitymanagement mime pimcommon \
 		pimtextedit
-USE_QT=		concurrent core dbus gui network printsupport uitools \
-		widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/calendarsupport/distinfo b/net/calendarsupport/distinfo
index 2e1f6a0227b5..c4178334e141 100644
--- a/net/calendarsupport/distinfo
+++ b/net/calendarsupport/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889483
-SHA256 (KDE/release-service/23.08.5/calendarsupport-23.08.5.tar.xz) = 65fa5ca77e19515dad579cf96e7cf16025d64a6a9a39c63772691a6bc16f3ef3
-SIZE (KDE/release-service/23.08.5/calendarsupport-23.08.5.tar.xz) = 997896
+TIMESTAMP = 1734460297
+SHA256 (KDE/release-service/24.12.0/calendarsupport-24.12.0.tar.xz) = 2920105c0d48067ed8bd32bfd126e7868a9bdd31ab9c9e96ad002f0a366cf21e
+SIZE (KDE/release-service/24.12.0/calendarsupport-24.12.0.tar.xz) = 997704
